Subject: Re: [ANNOUNCE] Git v2.0.0-rc4

From: Martin Erik Werner <[email-masked]>
Date: Wed, 21 May 2014 12:02:45 +0200

On Tue, May 20, 2014 at 05:24:50PM -0700, Junio C Hamano wrote:
(...)
>  * "git reset" learned the "-N" option, which does not reset the index
>    fully for paths the index knows about but the tree-ish the command
>    resets to does not (these paths are kept as intend-to-add entries).

I find it quite hard to parse this sentance. Maybe something like:

    which keeps paths as intent-to-add entries if they are currently
    staged, but not present in the tree-ish being reset to.

would be clearer (I hope I've actually managed to understand it..)?

(...)
>  * Commands that take pathspecs on the command line misbehaved when
>    the pathspec is given as an absolute pathname (which is a
>    practice not particularly encouraged) that points at a symbolic
>    link in the working tree.
>    (merge later 655ee9e mw/symlinks to maint.)

In order to include the latest cleanup to this patchset:
"setup: fix windows path buffer over-stepping"
this should be 6127ff6 instead. Sorry if it's unneeded to note, but just
wanted to make sure :)

--
Martin Erik Werner <[email-masked]>